
Foreman - Bug #1185

Creating a new hostgroup fails

09/27/2011 04:41 PM - Jeff Palmer

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Web Interface   

Target version: 0.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

foreman-0.4-0.1rc1.noarch

Installed via the puppet modules (0ae6d7adcff6c6a5904cdd356bce35988de7a419)

I've added one client to a fresh install.

I then try to add a hostgroup and get:

The following error message was observed:

undefined method `domain_id' for #

If you feel this is an error with Foreman itself, please open a new issue with Foreman ticketing system, You would probably need to

attach the Full trace and relevant log entries.

undefined method `domain_id' for # ActionView::TemplateError

app/views/common/_domain_subnet.html.erb:2

app/views/hostgroups/_form.html.erb:26

app/views/hostgroups/_form.html.erb:25

app/views/hostgroups/_form.html.erb:14

app/views/hostgroups/_form.html.erb:1

app/views/hostgroups/new.html.erb:3

History

#1 - 09/28/2011 04:48 AM - Ohad Levy

- Status changed from New to Feedback

- Priority changed from Immediate to Normal

I can't reproduce this.

both with and without unattended settings.

when you mean add a host group, is it to add it to the host, or create a new host group?

#2 - 10/06/2011 04:34 PM - Jeff Palmer

- Status changed from Feedback to Closed

After reinstalling foreman 0.4rc1, this issue is not re-occuring.  Closing the ticket.
